<?php

namespace Bixo\Faq\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CategoriesTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Faq\Models\Categories $categories)
    {
        return [
            'id'                => $categories->getRouteKey(),
            'key'               => [
                'public'    => $categories->getPublicKey(),
                'route'     => $categories->getRouteKey(),
            ], 
            'name'              => $categories->name,
            'user_id'           => $categories->user_id,
            'user_type'         => $categories->user_type,
            'deleted_at'        => $categories->deleted_at,
            'url'               => [
                'public'    => trans_url('faq/'.$categories->getPublicKey()),
                'user'      => guard_url('faq/categories/'.$categories->getRouteKey()),
            ], 
            'status'            => trans('app.'.$categories->status),
            'created_at'        => format_date($categories->created_at),
            'updated_at'        => format_date($categories->updated_at),
        ];
    }
}